## org.apache.cassandra.net
Class CompactEndPointSerializationHelper

    java.lang.Object
      org.apache.cassandra.net.CompactEndPointSerializationHelper

    public class CompactEndPointSerializationHelper

extends java.lang.Object

Constructor Summary
`CompactEndPointSerializationHelper()`

Method Summary
`static java.net.InetAddress` `deserialize(java.io.DataInputStream dis)`
`static void` `serialize(java.net.InetAddress endPoint, java.io.DataOutputStream dos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompactEndPointSerializationHelper

    public CompactEndPointSerializationHelper()

Method Detail

### serialize

    public static void serialize(java.net.InetAddress endPoint,
                                 java.io.DataOutputStream dos)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserialize

    public static java.net.InetAddress deserialize(java.io.DataInputStream dis)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2010 The Apache Software Foundation